package com.docus.server.collect.user.ws;

import com.docus.server.collect.AbstractWsCollector;
import com.docus.server.entity.TaskConfig;
import com.docus.server.util.PeriodTime;
import com.docus.server.sys.common.pojo.dto.UserDTO;
import com.google.common.collect.Lists;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * 主动ws采集数据
 */
@Component("wsUserCollectorImpl")
public class WsUserCollectorImpl extends AbstractWsCollector<UserDTO> {
    @Override
    public List<UserDTO> page(PeriodTime periodTime, TaskConfig taskConfig) {
        UserDTO deptDTO = new UserDTO();
        deptDTO.setAuthorId("1");
        deptDTO.setAuthorName("admin");
        deptDTO.setMessageId("1");
        deptDTO.setOperateType("save");
        deptDTO.setReceiver("admin");
        UserDTO deptDTO1 = new UserDTO();
        deptDTO1.setAuthorId("2");
        deptDTO1.setAuthorName("admin2");
        deptDTO1.setMessageId("2");
        deptDTO1.setOperateType("save2");
        deptDTO1.setReceiver("admin2");
        return Lists.newArrayList(deptDTO, deptDTO1);
    }
}
